package com.ym.mec.biz.dal.page;

import com.ym.mec.common.page.QueryInfo;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Author Joburgess
 * @Date 2019/10/9
 */
public class VipGroupQueryInfo extends QueryInfo {

    private String organId;

    private Long vipGroupId;

    private Integer teacherId;

    private Integer activityId;

    private String status;

    private boolean isExport = false;

    private Integer educationalTeacherId;

    private Boolean hasEducationalTeacherId;

    @ApiModelProperty(value = "上课时间，年月日",required = false)
    private String classDate;

    public String getClassDate() {
        return classDate;
    }

    public void setClassDate(String classDate) {
        this.classDate = classDate;
    }

    public Boolean getHasEducationalTeacherId() {
        return hasEducationalTeacherId;
    }

    public void setHasEducationalTeacherId(Boolean hasEducationalTeacherId) {
        this.hasEducationalTeacherId = hasEducationalTeacherId;
    }

    public Integer getEducationalTeacherId() {
        return educationalTeacherId;
    }

    public void setEducationalTeacherId(Integer educationalTeacherId) {
        this.educationalTeacherId = educationalTeacherId;
    }

    public boolean getIsExport() {
        return isExport;
    }

    public void setIsExport(boolean export) {
        isExport = export;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public Integer getTeacherId() {
        return teacherId;
    }

    public void setTeacherId(Integer teacherId) {
        this.teacherId = teacherId;
    }

    public Integer getActivityId() {
        return activityId;
    }

    public void setActivityId(Integer activityId) {
        this.activityId = activityId;
    }

    public Long getVipGroupId() {
        return vipGroupId;
    }

    public void setVipGroupId(Long vipGroupId) {
        this.vipGroupId = vipGroupId;
    }

    public String getOrganId() {
        return organId;
    }

    public void setOrganId(String organId) {
        this.organId = organId;
    }
}
